#!/usr/bin/python3
# coding: utf-8

import os
import json
import sys

# getting the name of the directory
# where the this file is present.
current = os.path.dirname(os.path.realpath(__file__))
 
# Getting the parent directory name
# where the current directory is present.
parent = os.path.dirname(current)
 
# adding the parent directory to 
# the sys.path.
sys.path.append(parent)
sys.path.append(parent + "/src")

from src.agenda_culturel.import_tasks.downloader import *
from src.agenda_culturel.import_tasks.extractor import *
from src.agenda_culturel.import_tasks.importer import *
from src.agenda_culturel.import_tasks.generic_extractors.fbevent import *





if __name__ == "__main__":

    u2e = URL2Events(ChromiumHeadlessDownloader(), CExtractor())
    url="https://www.facebook.com/events/3575802569389184/3575802576055850/?active_tab=about"

    events = u2e.process(url, cache = "fb.html", published = True)

    exportfile = "event-facebook.json"
    print("Saving events to file {}".format(exportfile))
    with open(exportfile, "w") as f:
        json.dump(events, f, indent=4, default=str)

